.toc-index {
	margin: 2.5em 0;
}
.toc-index[data-visible=""] {
	display: none;
}
.toc-index .toc-title {
	font-weight: 500;
	display: block;
	line-height: 1.6em;
	margin-bottom: 0.8em;
}
.toc-index .wrap {
	background-color: #fafafa;
	border-radius: 0.5em;
	border: solid 1px #f1f1f1;
	padding: 1.5em;
}
.toc-index .wrap summary.toc-title {
	list-style-type: none;
	margin-bottom: 0;
}
.toc-index .wrap summary.toc-title::-webkit-details-marker {
	display: none;
}
.toc-index .wrap summary.toc-title::before {
	content: "▲";
	display: inline-block;
	margin-right: 0.5em;
	transition: all 0.2s;
	transform: rotate(90deg); 
	opacity: 1;
}
.toc-index .wrap[open] > summary.toc-title::before {
	transform: rotate(180deg);
	opacity: 0.25;
}
.toc-index .wrap[open] > summary.toc-title {
	margin-bottom: 1em;
}

.toc-index .titles {
	
}
.toc-index .titles .cell {
	margin: 0;
	padding: 0;
}
.toc-index .titles .cell .link {
	display: block;
	width: 100%;
	text-align: left;
	border: none;
	background-color: transparent;
	line-height: 1.6em;
	padding: 0.4em 1em;
}
.toc-index .titles .cell .link:hover {
	background-color: rgba(255,255,255,0.9);
}

/*Level Size*/
.toc-index[data-level="1"] > * {
	font-size: 1.14em;
}
.toc-index[data-level="2"] > * {
	font-size: 1.08em;
}
.toc-index[data-level="3"] > * {
	font-size: 1.0em;
}
.toc-index[data-level="4"] > * {
	font-size: 0.9em;
}
.toc-index[data-level="5"] > * {
	font-size: 0.84em;
}

/*Floor Indent*/
.toc-index[data-enablefloorindent="1"] .cell .link {
	padding-left: calc(1em + var(--depth, 0) * 1.4em);
}

/*Numbering*/
.toc-index[data-enablenumbering="1"] .cell .link {
	display: flex;
}
.toc-index[data-enablenumbering="1"] .cell .link::before {
	content: attr(data-num);
	margin-right: 0.7em;
}
